Bullet Collision Detection & Physics Library: btCompoundCompoundCollisionAlgorithm.cpp File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions | Variables
btCompoundCompoundCollisionAlgorithm.cpp File Reference
`#include "btCompoundCompoundCollisionAlgorithm.h"`
`#include "LinearMath/btQuickprof.h"`
`#include "BulletCollision/CollisionDispatch/btCollisionObject.h"`
`#include "BulletCollision/CollisionShapes/btCompoundShape.h"`
`#include "BulletCollision/BroadphaseCollision/btDbvt.h"`
`#include "LinearMath/btIDebugDraw.h"`
`#include "LinearMath/btAabbUtil2.h"`
`#include "BulletCollision/CollisionDispatch/btManifoldResult.h"`
`#include "BulletCollision/CollisionDispatch/btCollisionObjectWrapper.h"`
Include dependency graph for btCompoundCompoundCollisionAlgorithm.cpp:

Go to the source code of this file.

## Classes
struct | btCompoundCompoundLeafCallback

## Macros
#define | USE_LOCAL_STACK 1

## Functions
static DBVT_INLINE bool | MyIntersect (const btDbvtAabbMm &a, const btDbvtAabbMm &b, const btTransform &xform, btScalar distanceThreshold)
static void | MycollideTT (const btDbvtNode *root0, const btDbvtNode *root1, const btTransform &xform, btCompoundCompoundLeafCallback *callback, btScalar distanceThreshold)

## Variables
btShapePairCallback | gCompoundCompoundChildShapePairCallback = 0

## Macro Definition Documentation

## ◆ USE_LOCAL_STACK

#define USE_LOCAL_STACK 1

Definition at line 28 of file btCompoundCompoundCollisionAlgorithm.cpp.

## Function Documentation

## ◆ MycollideTT()

static void MycollideTT | ( | const btDbvtNode * | root0,
|  | const btDbvtNode * | root1,
|  | const btTransform & | xform,
|  | btCompoundCompoundLeafCallback * | callback,
|  | btScalar | distanceThreshold
| ) |  |
| inlinestatic

Definition at line 226 of file btCompoundCompoundCollisionAlgorithm.cpp.

## ◆ MyIntersect()

static DBVT_INLINE bool MyIntersect | ( | const btDbvtAabbMm & | a,
|  | const btDbvtAabbMm & | b,
|  | const btTransform & | xform,
|  | btScalar | distanceThreshold
| ) |  |
| static

Definition at line 215 of file btCompoundCompoundCollisionAlgorithm.cpp.

## Variable Documentation

## ◆ gCompoundCompoundChildShapePairCallback

btShapePairCallback gCompoundCompoundChildShapePairCallback = 0

Definition at line 30 of file btCompoundCompoundCollisionAlgorithm.cpp.